Sign in

Asks

List asks

GET https://service.steady.space/api/v2/asks

Query parameters

Name Type Required Description
page integer No

Page number (1-indexed).

per_page integer No

Number of records per page.

200 Response

[
  {
    "id": "3e4f5a6b-7c8d-4e9f-a0b1-2c3d4e5f6a7b",
    "prompt": "What did we ship this week?",
    "body": "- Shipped the new search UI to production\n- Finished the API pagination documentation\n",
    "created_at": "2026-05-04T19:01:11Z",
    "updated_at": "2026-05-04T19:01:27Z",
    "url": "https://app.steady.space/asks/3e4f5a6b-7c8d-4e9f-a0b1-2c3d4e5f6a7b"
  }
]
Field reference
Name Type Description
id string
prompt string
body object

Answer rendered as Markdown. null while the AI-generated content summary is still being produced.

created_at string
updated_at string
url string

Create an ask

POST https://service.steady.space/api/v2/asks

Request body

{
  "prompt": "What did we ship this week?"
}
Field reference
Name Type Required Description
id string Yes
prompt string Yes
body object Yes

Answer rendered as Markdown. null while the AI-generated content summary is still being produced.

created_at string Yes
updated_at string Yes
url string Yes

201 Response

{
  "id": "3e4f5a6b-7c8d-4e9f-a0b1-2c3d4e5f6a7b",
  "prompt": "What did we ship this week?",
  "body": "- Shipped the new search UI to production\n- Finished the API pagination documentation\n",
  "created_at": "2026-05-04T19:01:11Z",
  "updated_at": "2026-05-04T19:01:27Z",
  "url": "https://app.steady.space/asks/3e4f5a6b-7c8d-4e9f-a0b1-2c3d4e5f6a7b"
}
Field reference
Name Type Description
id string
prompt string
body object

Answer rendered as Markdown. null while the AI-generated content summary is still being produced.

created_at string
updated_at string
url string

Get an ask

GET https://service.steady.space/api/v2/asks/{id}

200 Response

{
  "id": "3e4f5a6b-7c8d-4e9f-a0b1-2c3d4e5f6a7b",
  "prompt": "What did we ship this week?",
  "body": "- Shipped the new search UI to production\n- Finished the API pagination documentation\n",
  "created_at": "2026-05-04T19:01:11Z",
  "updated_at": "2026-05-04T19:01:27Z",
  "url": "https://app.steady.space/asks/3e4f5a6b-7c8d-4e9f-a0b1-2c3d4e5f6a7b"
}
Field reference
Name Type Description
id string
prompt string
body object

Answer rendered as Markdown. null while the AI-generated content summary is still being produced.

created_at string
updated_at string
url string